<?php
namespace Claromentis\Core\TrashCan;

$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"] ?: array()) + array("_a540f3d49e78c86" . "20c4547ce19cefb3" . "3" => base64_decode("Y29tbW9uLnRyYXNoX2Nhbi5kZWxldG" . "VkX2J5X2FkbWluaXN0cmF0b3I="), "_0c5123aa744f69bbc" . "0e8b3ea2f6e847d" => base64_decode("bG1zZw=" . "="));
use CommonListOutputUser;






class TrashCanListOutputUser extends CommonListOutputUser
{
    public function FormatAsHTML($value)
    {
        if (!$value) {
            return $GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_0c5123aa744f69bbc0e8b3ea2f6e847" . "d"]($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_a540f3d49e78c86" . "20c4547ce19cefb3" . "3"]);
        }
        return parent::FormatAsHTML($value);
    }
    public function FormatAsText($value)
    {
        if (!$value) {
            return $GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_0c5123aa744f" . "69bbc0e8b3ea2" . "f6e847d"]($GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_a540f3d49e78c8620c4547ce19c" . "efb33"]);
        }
        return parent::FormatAsText($value);
    }
}